package io.platform.log.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("SYS_FUNCTION_LOG")
@KeySequence(value="SEQ_BUS",clazz=Long.class)
public class SysFunctionLog extends Model<SysFunctionLog>  implements Serializable{

    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * 主键id       db_column: MAIN_ID
     */
    @TableId(value="MAIN_ID", type= IdType.INPUT)
    private Long mainId;


    @Override
    protected Serializable pkVal() {
        return this.mainId;
    }

    /**
     * 账号id       db_column: ACCOUNT_ID
     */
    @TableField("ACCOUNT_ID")
    private Long accountId;

    /**
     * 功能名称       db_column: FUNCTION_NAME
     */
    @TableField("FUNCTION_NAME")
    private String functionName;

    /**
     * IP地址       db_column: IP_ADDRESS
     */
    @TableField("IP_ADDRESS")
    private String ipAddress;


    /**
     * 请求参数       db_column: PARAMS_JSON
     */
    @TableField("PARAMS_JSON")
    private String paramsJson;

    /**
     * 调用时间       db_column: CREATE_TIME
     */
    @TableField("CREATE_TIME")
    private java.util.Date createTime;
//columns END

}
