# 赛轮全钢渠道管理后台工程

## 访问步骤
前端请求 经nginx转发至 rest服务，rest 服务调用 服务提供方

## 技术栈
springboot + dubbo + zookeeper + mybatis-plus

## 工程modul
rest模块为服务消费方 只接受前端请求进行数据校验 不做业务处理
provider模块为服务提供方 api、service

admin-rest 8403: 运营平台rest
sys-provider 9403：运营平台系统dubbo服务
app-rest 8503: app-rest服务
bus-provider 9503: app业务dubbo服务
schedule-rest 9999： 定时任务rest
wechat-rest 8603: 微信rest(二期使用)



##  访问运营平台nginx配置信息
location / {
    proxy_pass http://127.0.0.1:7000;
}
location /api/sys/{
    proxy_pass http://127.0.0.1:8403/;
}


# 接口规范
1.app接口为方便前端测试查看，统一添加Swagger注解，注解信息存在SailunAppSwaggerController类中。前端访问 http://localhost:8503/swagger-ui.html
2.APP端Token校验，使用@Login注解 验证用户token
3.日志记录，在需要记录日志操作的方法上添加@FuncLogAnno(functionName = "接口功能描述")
